Bug 142143 - [new port]: haskell port devel/hs-uniplate
Summary: [new port]: haskell port devel/hs-uniplate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-29 21:10 UTC by Jacula Modyun
Modified: 2010-01-03 00:40 UTC (History)
0 users

See Also:


Attachments
hs-uniplate.shar (4.98 KB, text/plain)
2009-12-29 21:10 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacula Modyun 2009-12-29 21:10:03 UTC
This library (formerly known as 'Play') provides a framework for generic
traversals, and is intended to be used in a similar manner to the
original Scrap Your Boilerplate paper.

http://www-users.cs.york.ac.uk/~ndm/uniplate/
Comment 1 Edwin Groothuis freebsd_committer 2009-12-29 21:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-02 22:57:13 UTC
pgj         2010-01-02 22:57:05 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hs-uniplate    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Uniplate is a boilerplate removal library, with similar goals to the
  original Scrap Your Boilerplate work. It requires few extensions to
  Haskell.
  
  WWW: http://www-users.cs.york.ac.uk/~ndm/uniplate/
  
  PR:             ports/142143
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.3734    +1 -0      ports/devel/Makefile
  1.1       +81 -0     ports/devel/hs-uniplate/Makefile (new)
  1.1       +3 -0      ports/devel/hs-uniplate/distinfo (new)
  1.1       +5 -0      ports/devel/hs-uniplate/pkg-descr (new)
  1.1       +26 -0     ports/devel/hs-uniplate/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Pali freebsd_committer 2010-01-03 00:39:53 UTC
State Changed
From-To: open->closed

Committed.  Thanks!